Subject: Re: 1.46

From: Zheng Gengbing <[email-masked]>
Date: Tue, 7 May 1996 08:24:44 +0800 (EAT)

On Mon, 6 May 1996, Guansong Zhang wrote:

> On May 5,  4:30pm, Zheng Gengbing wrote:
> > Subject: Re: 1.46
> > >
> > > ++++++++++++++++++++++++++++++++++++++
> > >
> > >  program try
> > >
> > > 30    goto 40
> > >
> > >    do1: DO 40 , while(LOCATION + 5)
> > >       LOCATION = I
> > >  40     enddo do1
> > >
> > >  end
> > > ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > >       program try
> > > 30      goto 40
> > >       do while (LOCATION+5)
> > >          LOCATION = I
> > > 40      enddo
> > >       enddo
> > >       end
> > >
> >
> >
> >
> See the above program this time:
> ++++++++++++++++++++++++++++++++++++++
> 
>  program try
> 
> 30    goto 40
> 
>    do1: DO 40 , while(LOCATION + 5)
>       LOCATION = I
>  40     enddo do1
> 
>  end
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>       program try
> 30      goto 40
>       do 40 while (LOCATION+5)
>          LOCATION = I
> 40      enddo
>       end
> 
> ======================================
> 
> 
> I think we can say the problem is solved. One thing left is construct name (I
> have no idea how it is defined), it is not important at present time. Unparse
> can always ignore it.
> 

	According to our specification draft , we store construct name in
the symbol of llnd_3 of the BFND .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************